/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: Descriptive.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.mdl.util;

/**
 * Is implemented by xma models to provide more structured debug output than
 * an ordinary <tt>toString</tt> would provide.
 * 
 * @author YSD, 02.05.2003 17:34:42
 */
public interface Descriptive {

    /**
     * <tt>describe</tt> puts all relevant information about this into the provided
     * <tt>node</tt>. The implementing method may construct subnodes of <tt>node</tt>.
     * 
     * @param node the node going to hold information about this.
     */
    public void describe (DNode node);

}
